Bug 201088 - lang/python27: Update to 2.7.10
Summary: lang/python27: Update to 2.7.10
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Bernard Spil
URL: https://reviews.freebsd.org/D2637
Keywords: needs-qa, patch
Depends on:
Blocks:
 
Reported: 2015-06-24 04:09 UTC by elij
Modified: 2015-07-16 07:45 UTC (History)
2 users (show)

See Also:
koobs: maintainer-feedback+


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description elij 2015-06-24 04:09:29 UTC
Seems unlikely that the upstream release went unnoticed, but since I couldn't find any bug filed for it, I figured it wouldn't hurt to file one.

Possibly related to Bug #192511, as 2.7.10 includes some fixes for building with libressl.

Apologies if this is duplicative.
Comment 1 Johannes Jost Meixner freebsd_committer 2015-06-24 05:44:56 UTC
We're working on it.

Check https://reviews.freebsd.org/D2637 -- it's the Differential Review on Phabricator for 2.7.10.
Comment 2 elij 2015-06-24 08:57:33 UTC
Awesome! Thanks for the update (and the link).
Comment 3 commit-hook freebsd_committer 2015-07-03 13:28:31 UTC
A commit references this bug:

Author: brnrd
Date: Fri Jul  3 13:27:45 UTC 2015
New revision: 391238
URL: https://svnweb.freebsd.org/changeset/ports/391238

Log:
  lang/python: Update to 2.7.10

  The FreeBSD Python team welcomes Python 2.7.10 to the Ports tree!

  Announcement:	https://www.python.org/downloads/release/python-2710/
  Changelog:	https://hg.python.org/cpython/raw-file/v2.7.10/Misc/NEWS

  Important changes for this release:
   - Python 2.7.10 is a bug fix release of the Python 2.7.x series.
   - Fixes issues with LibreSSL 2.2+

  PR: 		192511, 201088
  Differentialr Revision:	D2637
  Reviewed by:	koobs (mentor), vsevolod (mentor), antoine
  Approved by:	koobs (mentor)

Changes:
  head/lang/python27/Makefile
  head/lang/python27/distinfo
  head/lang/python27/files/patch-Doc__library__fcntl.rst
  head/lang/python27/files/patch-Lib__distutils__unixccompiler.py
  head/lang/python27/files/patch-Lib_distutils_command_build__scripts.py
  head/lang/python27/files/patch-Lib_distutils_command_build_scripts.py
  head/lang/python27/files/patch-Makefile.pre.in
  head/lang/python27/files/patch-Modules-_ctypes-libffi-configure
  head/lang/python27/files/patch-Modules___ctypes__libffi__src__arm__ffi.c
  head/lang/python27/files/patch-Modules___ssl.c
  head/lang/python27/files/patch-Modules__fcntlmodule.c
  head/lang/python27/files/patch-setup.py
  head/lang/python27/pkg-plist
Comment 4 commit-hook freebsd_committer 2015-07-03 13:35:36 UTC
A commit references this bug:

Author: brnrd
Date: Fri Jul  3 13:34:42 UTC 2015
New revision: 391239
URL: https://svnweb.freebsd.org/changeset/ports/391239

Log:
  lang/python-(tools,doc-html): Update to 2.7.10

  The FreeBSD Python team welcomes Python 2.7.10 to the Ports tree!

  Announcement:	https://www.python.org/downloads/release/python-2710/
  Changelog:	https://hg.python.org/cpython/raw-file/v2.7.10/Misc/NEWS

  Important changes for this release:
   - Python 2.7.10 is a bug fix release of the Python 2.7.x series.
   - Fixes issues with LibreSSL 2.2+

  PR: 		192511, 201088
  Differentialr Revision:	D2637
  Reviewed by:	koobs (mentor), vsevolod (mentor), antoine
  Approved by:	koobs (mentor)

Changes:
  head/lang/python-tools/Makefile
Comment 5 commit-hook freebsd_committer 2015-07-03 13:38:42 UTC
A commit references this bug:

Author: brnrd
Date: Fri Jul  3 13:37:43 UTC 2015
New revision: 391240
URL: https://svnweb.freebsd.org/changeset/ports/391240

Log:
  lang/python-doc-html: Update to 2.7.10

  The FreeBSD Python team welcomes Python 2.7.10 to the Ports tree!

  Announcement:	https://www.python.org/downloads/release/python-2710/
  Changelog:	https://hg.python.org/cpython/raw-file/v2.7.10/Misc/NEWS

  Important changes for this release:
   - Python 2.7.10 is a bug fix release of the Python 2.7.x series.
   - Fixes issues with LibreSSL 2.2+

  PR: 		192511, 201088
  Differentialr Revision:	D2637
  Reviewed by:	koobs (mentor), vsevolod (mentor), antoine
  Approved by:	koobs (mentor)

Changes:
  head/lang/python-doc-html/distinfo